/*********************************************************
 * The coefficient A and the three initial values
 * generate a 3KHz tone (sine wave) when running
 * at a sample rate of 8KHz.
 *
 * Even though the calculations are done in floating
 * point, this function returns a short value since
 * this is what's needed by a 16-bit codec (DAC).
 *********************************************************/
float y[3] = {0,0.7071,0};
float A = 1.4142;

short sineGen(void) {
	y[0] = y[1] * A - y[2];  
	y[2] = y[1];
	y[1] = y[0];

	return((short)(32000*y[0]));
}
